%define destdir %buildroot
%global myhome /usr/local
Buildroot: %_builddir/%name-%version-root
Copyright: Check with djb
Group: Utilities/System
Name: daemontools
Packager: mw@csi.hu
Provides: daemontools
Release: tf1
Source: http://cr.yp.to/%name/%name-%version.tar.gz
Patch0: daemontools.patch
Summary: Various tools to start/stop/monitor daemons.
URL: http://cr.yp.to/%name.html
Version: 0.76

%description
   daemontools is a collection of tools for managing UNIX services.

   supervise monitors a service. It starts the service and restarts the
   service if it dies. Setting up a new service is easy: all supervise
   needs is a directory with a run script that runs the service.

   multilog saves error messages to one or more logs. It optionally
   timestamps each line and, for each log, includes or excludes lines
   matching specified patterns. It automatically rotates logs to limit
   the amount of disk space used. If the disk fills up, it pauses and
   tries again, without losing any data.

%prep
%setup -c -n %destdir/package
patch -d %destdir/package/admin/%name-%version/src < /usr/src/redhat/SOURCES/daemontools.patch

%build
mkdir -p %destdir%myhome/bin
cd admin/%name-%version
sed -e 's}^parent.*}parent=/package/admin}' \
    -e 's} /command/} %destdir/command/}g' \
    -e 's}-p /command}-p %destdir/command}' \
    -e 's}ln -s %destdir/command/}ln -s /command/}' \
    -e 's} /usr/local/bin/} %destdir/usr/local/bin/}g' \
    -e 's}/usr/local}%myhome}g' \
    package/upgrade > package/upgrade'{new}' 

if [ "$?" != 0 ]; then
    exit 1
else
    mv package/upgrade'{new}' package/upgrade
    chmod 755 package/upgrade
fi

package/compile

COMPILER="Compiler: $(gcc -v 2>&1 | tail -1)"
HARDWARE="Hardware: $(uname -m)"
LIBRARY="Library: $(rpm -q glibc)"
OSVERSION="OSversion: $(uname -sr)"
PACKAGER="Packager: %packager"
REDHATRELEASE="RedHat release: $(cat /etc/redhat-release)"
RPMVERSION="rpm version: $(rpm -q rpm)"

echo "The %name rpm was created in the following environment:
" > README.rpm
echo "$COMPILER
$HARDWARE
$LIBRARY
$OSVERSION
$PACKAGER
$REDHATRELEASE
$RPMVERSION

The packager above has made an honest attempt to make sure
the package behaves correctly.
" >> README.rpm

if test "%myhome" != "/usr/local"; then
    echo "" >> README.rpm
    echo "You cannot distribute this rpm publicly" >> README.rpm
fi
 
cp package/README src/{CHANGES,TODO} README.rpm %destdir/package
mkdir -p %destdir/service

%install
cd admin/%name-%version
package/upgrade

files="/usr/src/redhat/BUILD/daemontools-0.76-root/package/CHANGES
/usr/src/redhat/BUILD/daemontools-0.76-root/package/README
/usr/src/redhat/BUILD/daemontools-0.76-root/package/TODO
/usr/src/redhat/BUILD/daemontools-0.76-root/package/README.rpm
/usr/src/redhat/BUILD/daemontools-0.76-root/package/admin/daemontools-0.76/README.rpm
/usr/src/redhat/BUILD/daemontools-0.76-root/package/admin/daemontools-0.76/compile
/usr/src/redhat/BUILD/daemontools-0.76-root/package/admin/daemontools-0.76/src"

for file in $files; do
 rm -rf $file
done

%post
cd /package/admin/%name-%version
package/run
echo You may want to add /command to PATH.

%clean
rm -rf %destdir


%changelog

* Thu Aug 23 2001 Mate Wierdl <mw@csi.hu>
- adjusted for slashpackage setup

%files
%defattr(-,root,root)
#%doc CHANGES    README*	TODO
%dir%attr(1755,root,root) /package 
%dir%attr(755,root,root) /command
%dir%attr(755,root,root) /service
#%dir /package/admin/%name-%version/src
/package/admin/%name-%version/command
/package/admin/%name-%version/package
/package/admin/%name
/command/*
%myhome/bin/*






